リストの検索
リストの検索.
APIリファレンスに戻る
/Lists Endpoints
POST
/twitter/list/searchAPI 認証
AuthorizationBearer token · header必須TwexAPIのグローバル認証トークン (Bearer Token)。ヘッダーに含める必要があります:Authorization: Bearer <YOUR_TWEXAPI_KEY>。
リクエストボディ
必須application/jsonquerystring必須The query to search for.
target_countinteger必須The number of lists to search.
レスポンス
200A list of list objects.
codeinteger必須HTTP ステータスコード(200 は成功)
msgstring必須レスポンスメッセージ(例: 'success')
dataListModel[]必須返却されるコアデータオブジェクトまたは配列
プロパティを表示プロパティを非表示
Array of
ListModelidstring必須The ID of the list
namestring必須ユーザー表示名
descriptionstring必須プロフィール自己紹介文(Bio)
is_privateboolean必須Whether the list is private
member_countinteger必須The number of members in the list
subscriber_countinteger必須The number of subscribers in the list
422パラメータバリデーションエラー
detailValidationError[]プロパティを表示プロパティを非表示
Array of
ValidationErrorlocstring | integer[]必須プロパティを表示プロパティを非表示
Array of
string | integerAny of:
string
stringinteger
integermsgstring必須レスポンスメッセージ(例: 'success')
typestring必須inputanyctxobject⚡インタラクティブテストPOST
⚡インタラクティブテスト / Try APIPOSTLive Console
🌐対象サーバー:
https://api.twexapi.io● 本番環境レディ
🔍
公開データ取得(TwexAPIキーのみ、Twitter Cookie不要)
本エンドポイントは公開Twitterデータの検索・取得用です。TwitterアカウントやCookieは一切不要です!下記の「API認証」に TwexAPIプラットフォームキー (Bearer Token) を入力するだけで即座にテストできます。
🔑API 認証
📝リクエストボディapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
リクエスト例
curl -X POST "https://api.twexapi.io/twitter/list/search" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"query": "string",
"target_count": 0
}'const response = await fetch("https://api.twexapi.io/twitter/list/search", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"query": "string",
"target_count": 0
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/list/search",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"query": "string",
"target_count": 0
},
)レスポンス例
{
"code": 0,
"msg": "string",
"data": [
{
"id": "string",
"name": "string",
"description": "string",
"is_private": true,
"member_count": 0,
"subscriber_count": 0
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}